#include <bits/stdc++.h>
using namespace std;
int n,v=1,br=0;
int b[10000];
string s;
int main()
{
cin >>n;
cin >>s;
for(int i=1;i<=n;i++){
    for(int j=1;j<=n;j++){
    if(s[i]==s[j] and b[s[i]]!=1 and i!=j){
        br++;
        b[s[i]]=1;

    }
    }


}
//for(int i=br;i>0;i--){
   //     v=v*i;
     //   cout << br <<endl;
    //}
    //v=br*2;
   cout <<br <<endl;
return 0;
}